<?php

namespace App\Http\Livewire;

use Livewire\Component;
use Illuminate\Http\Request;
use Microsoft\Graph\Graph;
use Microsoft\Graph\Model;
use Illuminate\Support\Facades\View;
use Illuminate\Support\Facades\DB;
use Illuminate\Pagination\Paginator;

class UsersTableMod extends Component
{
    public $filter;

    public $recherche='';

    public $entriesNumber='';
    public $order_champs ="EMPLOYEE_NOM";
    protected $order='asc';

    public function getInfoIccAllHr() {

        if($this->entriesNumber == '') { $this->entriesNumber = 11; }
        if($this->filter == 'tout') { $fa = null; $ea = '!='; $fe = null; $ee = '!='; }
        // elseif($this->filter == 'franchises') { $fa = 'ICC Développement'; $ea = '!='; $fe = 1; $ee = '='; }
        // elseif($this->filter == 'employes') { $fa = 'ICC Développement'; $ea = '='; $fe = 1; $ee = '='; }
        elseif($this->filter == 'actifs-tout') { $fa = null; $ea = '!='; $fe = 1; $ee = '='; }
        elseif($this->filter == 'actifs-employes') { $fa = 'ICC Développement'; $ea = '='; $fe = 1; $ee = '='; }
        elseif($this->filter == 'actifs-franchises') { $fa = 'ICC Développement'; $ea = '!='; $fe = 1; $ee = '='; }
        elseif($this->filter == 'archives-tout') { $fa = null; $ea = '!='; $fe = 1; $ee = '!='; }
        elseif($this->filter == 'archives-employes') { $fa = 'ICC Développement'; $ea = '='; $fe = 1; $ee = '!='; }
        elseif($this->filter == 'archives-franchises') { $fa = 'ICC Développement'; $ea = '!='; $fe = 1; $ee = '!='; }

        $allUsers = DB::table('rh_employees')
            ->join('rh_agences', 'rh_agences.AGENCE_ID', '=', 'rh_employees.EMPLOYEE_FKAGENCEID')
            // ->orderBy('EMPLOYEE_NOM')
            ->where('rh_agences.AGENCE_NOM', $ea, $fa)
            ->where('rh_employees.EMPLOYEE_COMPTEACTIF', $ee, $fe)
            ->where(function($query){
                $query->orWhere('EMPLOYEE_EMAILPRO','like','%'.trim($this->recherche," ")."%")
                ->orWhere('EMPLOYEE_TYPECONTRAT','like','%'.$this->recherche."%")
                ->orWhere('EMPLOYEE_STATUT','like','%'.$this->recherche."%")
                ->orWhere('EMPLOYEE_FONCTION','like','%'.$this->recherche."%")
                ->orWhere('EMPLOYEE_COMPTEACTIF','like','%'.$this->recherche."%")
                ->orWhere('AGENCE_NOM','like','%'.$this->recherche."%");
            })
            ->orderBy($this->order_champs,$this->order)
            ->paginate($this->entriesNumber);
       
        return $allUsers;

    }

    public function ordonner($ordre,$params1){

        if ($params1 === $this->order) {
            $this->order = "desc";
        }else{
            $this->order = "asc";
        }

        switch ($ordre) {

            case "Actif":
                $this->order_champs="EMPLOYEE_COMPTEACTIF";
                break;

            case "Email":
                $this->order_champs="EMPLOYEE_EMAILPRO";
                break;

            case "Type":
                $this->order_champs="EMPLOYEE_TYPECONTRAT";
                break;

            case "Statut":
                $this->order_champs="EMPLOYEE_STATUT";
                break;

            case "Fonction":
                $this->order_champs="EMPLOYEE_FONCTION";
                break;

            case "Agence":
                $this->order_champs="AGENCE_NOM";
                break;          

            default:
                $this->order_champs="EMPLOYEE_NOM";
                break;
        }
    }

    public function boot()
    {
        Paginator::useTailwind();
    }

    public function render()
    {
        return view('livewire.users-table-mod',[ 'allUsers' => $this->getInfoIccAllHr()]);
    }
}
