<div class="container-fluid bg-blue-50 text-xs p-4">
    <div class="hidden sm:flex-1 sm:flex sm:items-center sm:justify-between mb-4 mx-2">
        <div class="flex">
            <div class="mr-4">
                <label for="table-search" class="sr-only">Search</label>
                <div class="relative mt-1">
                    <div class="absolute inset-y-0 left-0 flex items-center pl-3 pointer-events-none">
                    <svg class="w-5 h-5 text-gray-500" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg">
                        <path fill-rule="evenodd" d="M8 4a4 4 0 100 8 4 4 0 000-8zM2 8a6 6 0 1110.89 3.476l4.817 4.817a1 1 0 01-1.414 1.414l-4.816-4.816A6 6 0 012 8z" clip-rule="evenodd"></path>
                    </svg>
                    </div>
                    <input type="text" id="table-search" wire:model="recherche" class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-80 pl-10 p-2.5" placeholder="Rechercher un élément dans le tableau">
                </div>
            </div>
            <div class="">
                <label for="table-entries" class="sr-only">Entrées</label>
                <div class="relative mt-1">
                    <select type="text" id="table-entries" wire:model="entriesNumber" class="bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-16 p-2.5">
                        <option value="10">10</option>
                        <option value="15">15</option>
                        <option value="20">20</option>
                        <option value="25">25</option>
                        <option value="50">50</option>
                    </select>
                </div>
            </div>
        </div>
        <div class="">
            <?php echo e($allAgences->onEachSide(1)->links()); ?>

        </div>
    </div>
    <div class="relative overflow-x-auto sm:rounded-lg shadow-lg mx-2">
        <table id="table-search" class="w-full text-xs text-left text-gray-500">
            <thead class="text-xs text-white uppercase bleu-icc-bg">
                <tr>
                    <th scope="col" wire:click="ordonner('Actif','<?php echo e($this->order); ?>')" class="px-6 py-3 text-center">
                    Actif
                    </th>
                    <th scope="col" wire:click="ordonner('Nom','<?php echo e($this->order); ?>')" class="px-6 py-3">
                    Agences
                    </th>
                    <th scope="col" class="px-6 py-3">
                    Directeur(s)
                    </th>
                    <th scope="col" wire:click="ordonner('RaisonSociale','<?php echo e($this->order); ?>')" class="px-6 py-3">
                    Raison sociale
                    </th>
                    <th scope="col" wire:click="ordonner('StatutJuridique','<?php echo e($this->order); ?>')" class="px-6 py-3">
                    Statut juridique
                    </th>
                    <th scope="col" wire:click="ordonner('Type','<?php echo e($this->order); ?>')" class="px-6 py-3">
                    Type
                    </th>
                </tr>
            </thead>
            <tbody>
                <?php $__currentLoopData = $allAgences; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $i): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php
                        $categories[$i->AGENCE_NOM][] = $i;
                        $allAgences = $categories;
                    ?>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                <?php $__currentLoopData = $allAgences; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $agence): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr class="bg-white border-b hover:bg-gray-50">
                        <td class="w-4 p-4">
                            <div class="text-center">
                                <span hidden><?php echo e($agence[0]->AGENCE_COMPTEACTIF ? 'actif' : 'bloqué'); ?></span>
                                <input type="checkbox" name="actif" id="actif" <?php echo e($agence[0]->AGENCE_COMPTEACTIF ? 'checked' : ''); ?> disabled>
                            </div>
                        </td>
                        <th scope="row" class="px-6 py-4 font-medium text-gray-900 whitespace-nowrap">
                            <a onclick='Livewire.emit("openModal", "agence-details-mod", <?php echo e(json_encode(["agenceId" => $agence[0]->AGENCE_ID])); ?>)' name="openUserDetails"
                                class="block py-2 text-gray-700 border-gray-100 hover:bg-gray-50 icc-link-orange">
                                <b class=""><?php echo e($agence[0]->AGENCE_NOM); ?></b>
                            </a>
                        </th>
                        <td class="px-6 py-4">
                            <div class="flex flex-wrap">
                                <?php $__currentLoopData = $agence; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $directeur): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <a onclick='Livewire.emit("openModal", "user-details-mod", <?php echo e(json_encode(["userEmailPro" => $directeur->EMPLOYEE_EMAILPRO])); ?>)' name="agence_link"
                                    style="margin: 2px;" class="px-2 py-1 text-xs bg-blue-200 text-blue-500 font-medium rounded-full icc-link-bg-orange">
                                    <b class="text-xs"><?php echo e($directeur->EMPLOYEE_PRENOM); ?> <?php echo e($directeur->EMPLOYEE_NOM); ?></b>
                                    </a>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </div>
                        </td>
                        <td class="px-6 py-4">
                            <?php echo e($agence[0]->AGENCE_RAISONSOCIALE); ?>

                        </td>
                        <td class="px-6 py-4">
                            <?php echo e($agence[0]->AGENCE_STATUTJURIDIQUE); ?>

                        </td>
                        <td class="px-6 py-4">
                            <?php echo e($agence[0]->AGENCE_TYPE); ?>

                        </td>
                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
        </table>
    </div>
</div><?php /**PATH C:\Users\FlorianLalanne\Desktop\GITLAB_PROJECTS\icc-si\Applications\gestion-rh_new_theme\resources\views/elements/allAgencesFlowbite.blade.php ENDPATH**/ ?>